Subject: Re: [PATCH 2/2 net-next v2] ipv4: bump rt_genid when a relevant devconf value changes through netlink

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Mar 2026 16:19:31 -0800

On Mon, 2 Mar 2026 09:27:04 +0100 Fernando Fernandez Mancera wrote:
> On 2/28/26 7:45 PM, Jakub Kicinski wrote:
> > On Thu, 26 Feb 2026 14:39:49 +0100 Fernando Fernandez Mancera wrote:  
> >> When modifying IPv4 devconf values using netlink for some relevant
> >> fields the rt_cache_flush() call was missing. In addition, if forwarding
> >> is enabled on the interface then disable LRO.
> >>
> >> This is needed to avoid possible connectivity issues and ease the
> >> responsabilities of user space tools.
> >>
> >> Fixes: 9f0f7272ac95 ("ipv4: AF_INET link address family")
> >> Signed-off-by: Fernando Fernandez Mancera <[email-masked]>  
> > 
> > This OTOH probably deserves to be a real fix for net?  
> 
> Okay, makes sense. Let me re-send this to net.git without relying on the 
> previous patch. Then once is merged and net-next is synced I will 
> re-send the validation one.

I could be wrong, but FWIW in this case I think the changes won't
conflict, so you could also post them at once against different trees.